
Ruby - Bug #14135

OneDrive folder on windows doesnt behave

11/28/2017 02:47 PM - huntertim (Tim Hunter)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.4.2p198 (2017-09-14 revision

59899) [x64-mingw32]

Backport: 2.3: UNKNOWN, 2.4: UNKNOWN

Description

basic ruby file commands cause Segmentation fault on OneDrive folder in windows

Create a file or folder in your OneDrive in windows and try to access through ruby.

Simple example is File.file?("#{File.expand_path("~")}/OneDrive/test.txt") but any attempt to access a file or directory causes a

Segmentation Fault

see attached for details

Related issues:

Is duplicate of Ruby - Bug #14047: SEGV happen when running script under OneD... Closed

History

#1 - 11/28/2017 05:39 PM - huntertim (Tim Hunter)

I compiled a version on windows and this is fixed in

ruby 2.5.0dev (2017-11-28 trunk 60926) [i386-mswin32_140]

#2 - 11/29/2017 12:29 AM - mame (Yusuke Endoh)

- Status changed from Open to Closed

huntertim (Tim Hunter) wrote:

I compiled a version on windows and this is fixed in

ruby 2.5.0dev (2017-11-28 trunk 60926) [i386-mswin32_140]

 Yes, this issue was fixed in #14047.  Please wait a backport release.  Thank you anyway.

#3 - 11/29/2017 01:45 AM - usa (Usaku NAKAMURA)

- Is duplicate of Bug #14047: SEGV happen when running script under OneDrive directory if File On-Demand is enabled added
